Google Web Toolkit (Beta)
Search this site:

# Class RPCRequest

public final class RPCRequest
extends Object
Describes an incoming RPC request in terms of a resolved Method and an array of arguments.

## Constructors

RPCRequest(Method, Object[]) | Construct an RPCRequest.

## Methods

getMethod() | Get the request's method.
getParameters() | Get the request's parameters.

## Constructor Detail

### RPCRequest

public RPCRequest(Method method, Object[] parameters)
Construct an RPCRequest.

#### Parameters

method
parameters

## Method Detail

### getMethod

public Method getMethod()
Get the request's method.

### getParameters

public Object[] getParameters()
Get the request's parameters.